%define upstream_name    MP3-Info
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to manipulate / fetch info from MP3 audio files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildArch:  noarch

%description
Manipulate / fetch info from MP3 audio files : winamp genres, mp3tag, mp3info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml eg
%{_mandir}/*/*
%{perl_vendorlib}/MP3

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.260.0-2.mga8
+ Revision: 1519281
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 08 2018 tv <tv> 1.260.0-1.mga7
+ Revision: 1318670
- update to 1.26

* Thu Sep 20 2018 umeabot <umeabot> 1.240.0-10.mga7
+ Revision: 1284620
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.240.0-9.mga7
+ Revision: 1165807
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.240.0-8.mga7
+ Revision: 1160240
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-7.mga6
+ Revision: 1030803
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.240.0-6.mga6
+ Revision: 944290
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-5.mga5
+ Revision: 750269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 685305
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.240.0-2.mga3
+ Revision: 369369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 22668
- cleaning spec file
- imported package perl-MP3-Info


* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.1
+ Revision: 393273
- renamed source: in source0: to align on common template
- update to 1.24
- using %%perl_convert_version
- fixed license field

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 223845
- rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2008.1
+ Revision: 159899
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2008.0
+ Revision: 19211
- 1.22


* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- 1.20

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.13-1mdk
- 1.13

* Tue Jan 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.11-1mdk
- new version 1.11

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- new version 1.10
- Add examples in documentation

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-4mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.02-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 François Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

